MANPATH(1)

NOME
manpath - determina o caminho de pesquisa por páginas de manual

SINOPSE
manpath [-qgdc?V] [-m sistema[,...]] [-C arquivo]

DESCRIÇÃO
Se $MANPATH estiver definido, manpath apenas exibirá seu conteúdo e emitirá um aviso. Se não, manpath determinará um caminho adequado de hierarquia de página de manual e exibirá os resultados.

O caminho, delimitado por caractere de dois pontos, é determinado usando informação obtida a partir do arquivo de configuração man-db – (/etc/manpath.config) e o ambiente do usuário.

OPÇÕES

-q, --quiet
    Não emite avisos.

-d, --debug
    Emite mensagens de depuração.

-c, --catpath
    Produz um caminho cat em oposição a um caminho man. Uma vez que o caminho man seja determinado, cada elemento de caminho é convertido para seu caminho cat relativo.

-g, --global
    Produz um caminho man consistindo em todos caminhos denominados como "globais" dentro do arquivo de configuração do man-db.

-m sistema[,...], --systems=sistema[,...]
    Se esse sistema tiver acesso às hierarquias de manual de outros sistemas operacionais, essa opção pode ser usada para incluí-las na saída de manpath. Para incluir hierarquias de página de manual do NewOS, use a opção -m NewOS.

    O sistema especificado pode ser uma combinação de nomes de sistemas operacionais delimitados por vírgula. Para incluir as hierarquias de página de manual do sistema operacional nativo, o man do nome de sistema deve ser incluído no texto do argumento. Essa opção vai sobrescrever a variável de ambiente $SYSTEM.

-C arquivo, --config-file=arquivo
    Usa esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

AMBIENTE

MANPATH
    Se $MANPATH estiver definido, manpath exibirá seu valor em vez de determiná-lo instantaneamente.

    Veja a seção CAMINHO DE PESQUISA de manpath(5) para o comportamento padrão e detalhes de como essa variável de ambiente é manipulada.

SYSTEM
    Se $SYSTEM estiver definido, ele terá o mesmo efeito que se fosse especificado como um argumento da opção -m.

ARQUIVOS

/etc/manpath.config
    O arquivo de configuração do man-db.

VEJA TAMBÉM
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

PROBLEMAS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db